fortify.sp {ggplot2} | R Documentation

## Fortify method for classes from the sp package.

### Description

To figure out the correct variable name for region, inspect `as.data.frame(model)`.

### Usage

    ## S3 method for class 'SpatialPolygonsDataFrame'
    fortify(model, data, region = NULL, ...)

    ## S3 method for class 'SpatialPolygons'
    fortify(model, data, ...)

    ## S3 method for class 'Polygons'
    fortify(model, data, ...)

    ## S3 method for class 'Polygon'
    fortify(model, data, ...)

    ## S3 method for class 'SpatialLinesDataFrame'
    fortify(model, data, ...)

    ## S3 method for class 'Lines'
    fortify(model, data, ...)

    ## S3 method for class 'Line'
    fortify(model, data, ...)

### Arguments

`model` | `SpatialPolygonsDataFrame` to convert into a dataframe.
`data` | not used by this method
`region` | name of variable used to split up regions
`...` | not used by this method

### Examples

    if (require("maptools")) {
     sids <- system.file("shapes/sids.shp", package="maptools")
     nc1 <- readShapePoly(sids,
       proj4string = CRS("+proj=longlat +datum=NAD27"))
     nc1_df <- fortify(nc1)
    }

[Package ggplot2 version 2.1.0 Index]